Bug 80722 - adding smartctl to install image?
adding smartctl to install image?
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-30 09:52 EST by Alexandre Oliva
Modified: 2007-04-18 12:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-25 10:53:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2002-12-30 09:52:39 EST
Description of problem:
smartctl tests run in Captive Mode (-s or -x) are interrupted by an IDE bus
reset issued by the kernel if you ever mounted a filesystem from the disk under
test.  It doesn't work even if I unmount the disk after copying smartctl from my
root filesystem to the root of the installer image.  Any chance of adding
smartctl to the installer image?  It's a 48Kb file without any depdendencies
that are not already present, and would make the installer CD more useful as a
rescue disk.
Comment 1 Jeremy Katz 2002-12-30 23:41:43 EST
Sure, added to cd/nfs stage2
Comment 2 Mike McLean 2003-05-22 14:40:43 EDT
Comment from Bruce Allen received via email:

-------- Original Message --------
Subject: bugzilla bug 80722
Date: Thu, 22 May 2003 11:05:36 -0500 (CDT)
From: Bruce Allen <ballen@gravity.phys.uwm.edu>

An updated version of smartctl is available in the smartmontools package:
    http://smartmontools.sourceforge.net/
It would be nice to have this version of smartctl as part of the install
image. It has additional abilities, such as the ability to run SMART
self-tests AND to examine the results in the SMART self-test log.  The
existing smartsuite versionof smartctl can run self-tests but can't
examine the self-test log to see what the results were.
Comment 3 Brent Fox 2003-05-25 10:53:24 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.